classification
Title: Document deprecated alias of assertNotRegex
Type: Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Mariatta Nosy List: Jim Fasarakis-Hilliard, Mariatta, docs@python, marco.buttu
Priority: normal Keywords:

Created on 2017-05-10 15:53 by Jim Fasarakis-Hilliard, last changed 2017-06-10 01:35 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1536 merged Jim Fasarakis-Hilliard, 2017-05-10 16:07
PR 2055 merged Mariatta, 2017-06-10 01:12
PR 2056 merged Mariatta, 2017-06-10 01:12
Messages (6)
msg293430 - (view) Author: Jim Fasarakis-Hilliard (Jim Fasarakis-Hilliard) * Date: 2017-05-10 15:53
The assertNotRegexpMatches name was deprecated in 3.2 in favor of assertNotRegex [1]. This is currently not documented in unittest.rst.

[1]: https://github.com/python/cpython/commit/ed3a7d2d601ce1e65b0bacf24676440631158ec8
msg293446 - (view) Author: Marco Buttu (marco.buttu) * Date: 2017-05-10 17:40
Hi Jim, I think assertNotRegexpMatches has never been introduced:

https://docs.python.org/3/whatsnew/3.1.html
https://docs.python.org/3/whatsnew/3.2.html

That is why there is no reference in the documentation about that.  I also executed a test with Python 3.1 and 3.2. and I found that there is no assertNotRegexpMatches assertion available.
msg295565 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-06-09 20:27
New changeset 74921ed8941fce14c2a53dc7280f43eb01fe4ed8 by Mariatta (Jim Fasarakis-Hilliard) in branch 'master':
bpo-30335: Add deprecation alias entry for assertNotRegexpMatches (GH-1536)
https://github.com/python/cpython/commit/74921ed8941fce14c2a53dc7280f43eb01fe4ed8
msg295595 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-06-10 01:33
New changeset 10c9a09ef4810f0235f5f585dcce70eca049604a by Mariatta in branch '3.6':
[3.6] bpo-30335: Add deprecation alias entry for assertNotRegexpMatches (GH-1536) (GH-2055)
https://github.com/python/cpython/commit/10c9a09ef4810f0235f5f585dcce70eca049604a
msg295596 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-06-10 01:33
New changeset cabdba24b5cee036bd4963d2dcf5bf667e6d63c9 by Mariatta in branch '3.5':
[3.5] bpo-30335: Add deprecation alias entry for assertNotRegexpMatches (GH-1536) (GH-2056)
https://github.com/python/cpython/commit/cabdba24b5cee036bd4963d2dcf5bf667e6d63c9
msg295597 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-06-10 01:35
Thanks!
History
Date User Action Args
2017-06-10 01:35:07Mariattasetstatus: open -> closed
resolution: fixed
messages: + msg295597

stage: backport needed -> resolved
2017-06-10 01:33:52Mariattasetmessages: + msg295596
2017-06-10 01:33:33Mariattasetmessages: + msg295595
2017-06-10 01:12:24Mariattasetpull_requests: + pull_request2117
2017-06-10 01:12:18Mariattasetpull_requests: + pull_request2116
2017-06-09 20:31:41Mariattasetassignee: docs@python -> Mariatta
2017-06-09 20:28:21Mariattasetversions: + Python 3.5, Python 3.6
nosy: + docs@python

assignee: docs@python
components: + Documentation, - Tests
stage: backport needed
2017-06-09 20:27:22Mariattasetnosy: + Mariatta
messages: + msg295565
2017-05-10 17:40:20marco.buttusetnosy: + marco.buttu
messages: + msg293446
2017-05-10 16:07:55Jim Fasarakis-Hilliardsetpull_requests: + pull_request1635
2017-05-10 15:53:20Jim Fasarakis-Hilliardcreate